Retrieve a list of workspace
curl --request GET \
--url https://api.orgnise.in/teams/{team_slug}/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orgnise.in/teams/{team_slug}/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orgnise.in/teams/{team_slug}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"name": "<string>",
"description": "",
"defaultAccess": "full",
"meta": {
"title": "<string>",
"description": "<string>",
"slug": "<string>"
},
"Visibility": "public",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}workspaces
Retrieve a list of workspace
Retrieve a list of workspace for the authenticated user.
GET
/
teams
/
{team_slug}
/
workspaces
Retrieve a list of workspace
Authorizations
Default authentication mechanism
Path Parameters
The slug of the team.
Response
A list of workspace
The unique ID of the workspace.
The name of the workspace.
The description of the workspace.
Maximum string length:
120The default access level of the workspace. Full access allows members to perform all actions in the workspace. Read access allows members to view the workspace but not make changes.
Available options:
full, read-only Example:
"full"
The meta of the workspace.
Show child attributes
Show child attributes
The visibility of the workspace. Private workspaces are only visible to members of the workspace.
Example:
"public"
The date and time when the workspace was created.
The date and time when the workspace was last updated.
Was this page helpful?
⌘I